> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/public-finance/v2.3/exemplar/ifix-dashboard/architecture/tools-used.md).

# Technology

Tools used to create the OLAP system for the iFix

iFix dashboard is developed using the opensource tools that included the complete OLAP system that streams the data from various sources, transform and process data and visualize the data using dashboards

| Platform Tools                                                                                             | Latest Version | Used Version | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  | License Type                                                                    | ​ |
| ---------------------------------------------------------------------------------------------------------- | -------------- | ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------- | - |
| ​[Metabase​](https://www.metabase.com/docs/latest/)                                                        | v0.40.4        | v0.40.2      | **Metabase** is an **open-source business intelligence tool**. It lets you ask questions about your data, and displays answers in formats that make sense, whether that's a bar graph or a detailed table.                                                                                                                                                                                                                                                                                                                                   | ​                                                                               | ​ |
| ​[Druid](https://druid.apache.org/)                                                                        | 0.21.1         | 0.21.1       | **Apache Druid** is a real-time analytics database designed for fast slice-and-dice analytics ("[OLAP](http://en.wikipedia.org/wiki/Online_analytical_processing)" queries) on large data sets. Druid is most often used as a database for powering use cases where real-time ingest, fast query performance, and high uptime is important. As such, Druid is commonly used for powering GUIs of analytical applications, or as a backend for highly concurrent APIs that need fast aggregations. Druid works best with event-oriented data. | ​​[Apache **License** 2.0](https://www.apache.org/licenses/LICENSE-2.0)         | ​ |
| [Confluent Kafka](https://dattell.com/data-architecture-blog/comparing-confluent-kafka-and-apache-kafka/)​ | 6.2.0          | 5.4.1        | Apache **Kafka** is an open-sourced and community distributed event streaming platform capable of handling trillions of events a day.                                                                                                                                                                                                                                                                                                                                                                                                        | ​[Community License](https://www.confluent.io/confluent-community-license-faq/) | ​ |
| [Postgresql](https://www.postgresql.org/)​                                                                 | 13.4           | 9.6 and 10.6 | ***PostgreSQL*** is a powerful, open-source object-relational database system with over 30 years of active development that has earned it a strong reputation for reliability, feature robustness, and performance                                                                                                                                                                                                                                                                                                                           | ​[PostGres License](https://www.postgresql.org/about/licence/)​                 | ​ |

> [![Creative Commons License](https://i.creativecommons.org/l/by/4.0/80x15.png)*​*](http://creativecommons.org/licenses/by/4.0/)*All content on this page by* [*eGov Foundation*](https://egov.org.in/) *is licensed under a* [*Creative Commons Attribution 4.0 International License*](http://creativecommons.org/licenses/by/4.0/)*.*


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.digit.org/public-finance/v2.3/exemplar/ifix-dashboard/architecture/tools-used.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
